select
  an.numero
  , par.data as data_parto
  , tp.descricao as tipo_parto
  , (case when
        (not exists(select * from lactacao re where re.cdanimal = par.cdanimal and re.dtinicio > par.data and re.dtinicio <= an.dtbaixa))
        then an.dtbaixa else null end) as data_baixa
  , (case when
        (not exists(select * from lactacao re where re.cdanimal = par.cdanimal and re.dtinicio > par.data and re.dtinicio <= an.dtbaixa))
        then tb.descricao else null end) as tipo_baixa
  , (case when (lacant.cdlactacao is not null) then (lac.dtinicio - lacant.dtfim) else null end) as dias_seco
  , (case when (par.retencaoplacenta = 1) then 'x' else '' end) as retencao_placenta
  , (select producaototal from sp_calculaproducaototal(lac.cdlactacao, lac.dtinicio + 60)) producao_total_60
  , (select producaototal from sp_calculaproducaototal(lac.cdlactacao, lac.dtinicio + 305)) producao_total_305
from
  animal an
  join reproducao par on par.cdanimal = an.cdanimal and par.cdtiporeproducao = 7
  join lactacao lac on lac.cdanimal = par.cdanimal and lac.dtinicio = par.data
  join tipoparto tp on tp.cdtipoparto = par.cdtipoparto
  left join tipobaixa tb on tb.cdtipobaixa = an.cdtipobaixa
  left join lactacao lacant on lacant.cdlactacao =
    (select first 1 re.cdlactacao from lactacao re where re.cdanimal = lac.cdanimal and re.dtinicio < lac.dtinicio order by re.dtinicio desc)
order by
  an.numordenado, par.data
